| 0.9.9 API documentation

Functions
GLM_GTC_matrix_access
Recommended extensions

## Functions
template<typename genType >
GLM_FUNC_DECL genType::col_type | column (genType const &m, length_t index)
template<typename genType >
GLM_FUNC_DECL genType | column (genType const &m, length_t index, typename genType::col_type const &x)
template<typename genType >
GLM_FUNC_DECL genType::row_type | row (genType const &m, length_t index)
template<typename genType >
GLM_FUNC_DECL genType | row (genType const &m, length_t index, typename genType::row_type const &x)

## Detailed Description

Include <glm/gtc/matrix_access.hpp> to use the features of this extension.

Defines functions to access rows or columns of a matrix easily.

## Function Documentation

## ◆ column() [1/2]

GLM_FUNC_DECL genType::col_type glm::column | ( | genType const & | m,
|  | length_t | index
| ) |  |

Get a specific column of a matrix.

See also
  GLM_GTC_matrix_access

## ◆ column() [2/2]

GLM_FUNC_DECL genType glm::column | ( | genType const & | m,
|  | length_t | index,
|  | typename genType::col_type const & | x
| ) |  |

Set a specific column to a matrix.

See also
  GLM_GTC_matrix_access

## ◆ row() [1/2]

GLM_FUNC_DECL genType::row_type glm::row | ( | genType const & | m,
|  | length_t | index
| ) |  |

Get a specific row of a matrix.

See also
  GLM_GTC_matrix_access

## ◆ row() [2/2]

GLM_FUNC_DECL genType glm::row | ( | genType const & | m,
|  | length_t | index,
|  | typename genType::row_type const & | x
| ) |  |

Set a specific row to a matrix.

See also
  GLM_GTC_matrix_access